
conversion_factors	% load some useful conversion factors

total_flow = 7*8*9.7e-6;		% m^3/sec flow for 7 chambers, 8 actuators, 10ml/sec per actuator
L = 60;	% pipe is 60 meters long
mu = .1;		% viscosity of fluid is 100 centipoise  = .1 SI
rho = 900;		% kg/m^3
% Res = (8*viscosity*length)/(pi*rad^4);
%Reyn = (4/pi)*(flow_rate*density)/(diameter*viscosity);

% calc based on the reynolds number

n=[1,2,3,4,5,6,7];
flow_per_pipe = total_flow./n;

% calculate the pipe diameter needed to achieve a given reynolds number 
% given the total flow and number of parallel pipes
RN = 200;
D200 = (4/pi) * (flow_per_pipe*rho)/(mu*RN);

RN = 100;
D100 = (4/pi) * (flow_per_pipe*rho)/(mu*RN);

RN = 50;
D50 = (4/pi) * (flow_per_pipe*rho)/(mu*RN);

figure
pp = plot(n,D200,'k',n,D100,'b',n,D50,'g');
title('diameter vs pipe number for fixed reynolds number')
xlabel('number of pipes in parallel')
ylabel('pipe diameter (m)')
set(pp(1),'LineWidth',1.5)
set(pp(2),'LineWidth',1.5)
set(pp(3),'LineWidth',1.5)
text(n(1),D50(1),' RN=50');
text(n(1),D100(1),' RN=100');
text(n(1),D200(1),' RN=200');

legend('RN = 200','RN = 100','RN = 50')


% allow a fixed pressure drop, of 15 psi
P = 15 * psi2SI
R_total = P/total_flow
R_pipe = n*R_total;

% Res = (128*viscosity*length)/(pi*D^4)
% D = ((128*viscosity*length)/(pi*Res))^.25

D_res_15 = ((128*mu*L)./(pi*R_pipe)).^.25;

% allow a drop of 10 psi
P = 10 * psi2SI
R_total = P/total_flow
R_pipe = n*R_total;
D_res_10 = ((128*mu*L)./(pi*R_pipe)).^.25;

% allow a drop of 20 psi
P = 20 * psi2SI
R_total = P/total_flow
R_pipe = n*R_total;
D_res_20 = ((128*mu*L)./(pi*R_pipe)).^.25;


hold on
p2 = plot(n,D_res_10,n,D_res_15,n,D_res_20);
